Index: WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/ZOSFONT.m
===================================================================
--- WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/ZOSFONT.m	(revision 613)
+++ WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/ZOSFONT.m	(revision 623)
@@ -1,120 +1,111 @@
-ZOSFONT	;SFISC/AC - SETS UP ^%ZOSF for Cache for NT/VMS ;10/19/06  14:01
-	;;8.0;KERNEL;**34,104,365**;JUL 10, 1995;Build 5
-	;For Cache versions 3.2, 4 and 5
-	S %Y=1 K ^%ZOSF("MASTER"),^%ZOSF("SIGNOFF")
-	N ZO F I="MGR","PROD","VOL" S:$D(^%ZOSF(I)) ZO(I)=^%ZOSF(I)
-	F I=1:2 S Z=$P($T(Z+I),";;",2) Q:Z=""  S X=$P($T(Z+1+I),";;",2,99) S ^%ZOSF(Z)=$S($D(ZO(Z)):ZO(Z),1:X)
-	;
-MGR	W !,"NAME OF MANAGER'S NAMESPACE: "_^%ZOSF("MGR")_"// " R X:$S($G(DTIME):DTIME,1:9999) I X]"" X ^("UCICHECK") G MGR:0[Y S ^%ZOSF("MGR")=X
-PROD	W !,"PRODUCTION (SIGN-ON) NAMESPACE: "_^%ZOSF("PROD")_"// " R X:$S($G(DTIME):DTIME,1:9999) I X]"" X ^("UCICHECK") G PROD:0[Y S ^%ZOSF("PROD")=Y
-VOL	W !,"NAME OF THIS CONFIGURATION: "_^%ZOSF("VOL")_"//" R X:$S($G(DTIME):DTIME,1:9999) I X]"" S:X?1.22U ^%ZOSF("VOL")=X I X'?1.22U W "MUST BE 1-22 uppercase characters." G VOL
-	;
-OS	S $P(^%ZOSF("OS"),"^",1)="OpenM-NT" S:'$P(^%ZOSF("OS"),"^",2) $P(^%ZOSF("OS"),"^",2)=18
-	;For Cache 5.1 and above
-	I $$VERSION^ZOSVONT>5 S ^%ZOSF("GSEL")="K ^CacheTempJ($J),^UTILITY($J) D ^%SYS.GSET M ^UTILITY($J)=CacheTempJ($J)"
-	W !!,"ALL SET UP",!! Q
-Z	;;
-	;;ACTJ
-	;;S Y=$$ACTJ^%ZOSV()
-	;;AVJ
-	;;S Y=$$AVJ^%ZOSV()
-	;;BRK
-	;;U $I:("":"+B")
-	;;DEL
-	;;X "ZR  ZS @X"
-	;;EOFF
-	;;U $I:("":"+S")
-	;;EON
-	;;U $I:("":"-S")
-	;;EOT
-	;;S Y=$ZA\1024#2
-	;;ERRTN
-	;;^%ZTER
-	;;ETRP
-	;;Q
-	;;GD
-	;;D ^%GD
-	;;GSEL;Select Globals
-	;;K ^UTILITY($J) D ^%GSET
-	;;JOBPARAM
-	;;D JOBPAR^%ZOSV
-	;;LABOFF
-	;;U IO:("":"+S+I-T":$C(13,27))
-	;;LOAD
-	;;N %,%N S %N=0 X "ZL @X F XCNP=XCNP+1:1 S %N=%N+1,%=$T(+%N) Q:$L(%)=0  S @(DIF_XCNP_"",0)"")=%"
-	;;LPC
-	;;S Y=$ZC(X)
-	;;MAXSIZ
-	;;S $ZS=X+X
-	;;MGR
-	;;%SYS
-	;;MAGTAPE
-	;;S %MT("BS")="*-1",%MT("FS")="*-2",%MT("WTM")="*-3",%MT("WB")="*-4",%MT("REW")="*-5",%MT("RB")="*-6",%MT("REL")="*-7",%MT("WHL")="*-8",%MT("WEL")="*-9"
-	;;MTBOT
-	;;S Y=$ZA\32#2
-	;;MTONLINE
-	;;S Y=$ZA\64#2
-	;;MTWPROT
-	;;S Y=$ZA\4#2
-	;;MTERR;;MAGTAPE ERROR
-	;;S Y=$ZA\32768#2
-	;;NBRK
-	;;U $I:("":"-B")
-	;;NO-PASSALL
-	;;U $I:("":"-I+T")
-	;;NO-TYPE-AHEAD
-	;;U $I:("":"+F":$C(13,27))
-	;;PASSALL
-	;;U $I:("":"+I-T")
-	;;PRIINQ;; Priority in current queue
-	;;N %PRIO D ^%PRIO S Y=$S('%PRIO:5,%PRIO>0:8,1:3)
-	;;PRIORITY;;set priority to X (1=low, 10=high)
-	;;D @($S(X>7:"NORMAL",X>3:"NORMAL",1:"LOW")_"^%PRIO") ;Don't do HIGH
-	;;PROGMODE
-	;;S Y=$ZJOB#2
-	;;PROD
-	;;VAH
-	;;RD
-	;;D ^%RD
-	;;RESJOB
-	;;N OLD S OLD=$ZNSPACE ZNSPACE "%SYS" D ^RESJOB ZNSPACE OLD Q
-	;;RM
-	;;I $G(IOT)["TRM" U $I:X
-	;;RSEL;;ROUTINE SELECT
-	;;K ^UTILITY($J) D KERNEL^%RSET K %ST ;Special entry point for VA
-	;;RSUM
-	;;N %,%1,%3 ZL @X S Y=0 F %=1,3:1 S %1=$T(+%),%3=$F(%1," ") Q:'%3  S %3=$S($E(%1,%3)'=";":$L(%1),$E(%1,%3+1)=";":$L(%1),1:%3-2) F %2=1:1:%3 S Y=$A(%1,%2)*%2+Y
-	;;RSUM1
-	;;N %,%1,%3 ZL @X S Y=0 F %=1,3:1 S %1=$T(+%),%3=$F(%1," ") Q:'%3  S %3=$S($E(%1,%3)'=";":$L(%1),$E(%1,%3+1)=";":$L(%1),1:%3-2) F %2=1:1:%3 S Y=$A(%1,%2)*(%2+%)+Y
-	;;SS
-	;;D ^%SS
-	;;SAVE
-	;;N XCS S XCS="F XCM=1:1 S XCN=$O(@(DIE_XCN_"")"")) Q:+XCN'=XCN  S %=^(XCN,0) Q:$E(%,1)=""$""  I $E(%,1)'="";"" ZI %" X "ZR  X XCS ZS @X"
-	;;SIZE
-	;;S Y=0 F I=1:1 S %=$T(+I) Q:%=""  S Y=Y+$L(%)+2
-	;;TEST
-	;;I X?1(1"%",1A).7AN,$D(^$ROUTINE(X))
-	;;TMK;;MAGTAPE MARK
-	;;S Y=$ZA\4#2
-	;;TRAP;;S X="^%ET",@^%ZOSF("TRAP"); User $ETRAP
-	;;$ZT=X
-	;;TRMOFF
-	;;U $I:("":"-I-T":$C(13,27))
-	;;TRMON
-	;;U $I:("":"+I+T")
-	;;TRMRD;;old Y=$A($ZB),Y=$S(Y<32:Y,Y=127:Y,1:0)
-	;;S Y=$A($ZB),Y=$S(Y<32:Y,Y=127:Y,1:0)
-	;;TYPE-AHEAD
-	;;U $I:("":"-F":$C(13,27))
-	;;UCI
-	;;D UCI^%ZOSV
-	;;UCICHECK
-	;;S Y=$$UCICHECK^%ZOSV(X)
-	;;UPPERCASE
-	;;S Y=$TR(X,"abcdefghijklmnopqrstuvwxyz","ABCDEFGHIJKLMNOPQRSTUVWXYZ")
-	;;XY
-	;;S $X=DX,$Y=DY
-	;;VOL;;VOLUME SET NAME
-	;;ROU
-	;;ZD;;$H to external
-	;;S Y=$ZD(X)
+ZOSFONT ;SFISC/AC - SETS UP ^%ZOSF FOR Open M for NT ;09/29/98  08:26
+ ;;8.0;KERNEL;**34,104**;JUL 03, 1995
+ S %Y=1 K ^%ZOSF("MASTER"),^%ZOSF("SIGNOFF")
+ K ZO F I="MGR","PROD","VOL" S:$D(^%ZOSF(I)) ZO(I)=^%ZOSF(I)
+ F I=1:2 S Z=$P($T(Z+I),";;",2) Q:Z=""  S X=$P($T(Z+1+I),";;",2,99) S ^%ZOSF(Z)=$S($D(ZO(Z)):ZO(Z),1:X)
+MGR W !,"NAME OF MANAGER'S NAMESPACE: "_^%ZOSF("MGR")_"// " R X:$S($G(DTIME):DTIME,1:9999) I X]"" X ^("UCICHECK") G MGR:Y="" S ^%ZOSF("MGR")=X
+PROD W !,"PRODUCTION (SIGN-ON) NAMESPACE: "_^%ZOSF("PROD")_"// " R X:$S($G(DTIME):DTIME,1:9999) I X]"" X ^("UCICHECK") G PROD:Y="" S ^%ZOSF("PROD")=Y
+VOL W !,"NAME OF THIS CONFIGURATION: "_^%ZOSF("VOL")_"//" R X:$S($G(DTIME):DTIME,1:9999) I X]"" S:X?1.5U ^%ZOSF("VOL")=X I X'?1.5U W "MUST BE 1-5 uppercase characters." G VOL
+OS S $P(^%ZOSF("OS"),"^",1)="OpenM-NT" S:'$P(^%ZOSF("OS"),"^",2) $P(^%ZOSF("OS"),"^",2)=18
+ W !!,"ALL SET UP",!! Q
+Z ;;
+ ;;ACTJ
+ ;;S Y=$$ACTJ^%ZOSV()
+ ;;AVJ
+ ;;S Y=$$AVJ^%ZOSV()
+ ;;BRK
+ ;;U $I:("":"+B")
+ ;;DEL
+ ;;X "ZR  ZS @X" K ^UTILITY("ROU",X)
+ ;;EOFF
+ ;;U $I:("":"+S")
+ ;;EON
+ ;;U $I:("":"-S")
+ ;;EOT
+ ;;S Y=$ZA\1024#2
+ ;;ERRTN
+ ;;^%ZTER
+ ;;ETRP
+ ;;Q
+ ;;GD
+ ;;D ^%GD
+ ;;JOBPARAM
+ ;;D JOBPAR^%ZOSV
+ ;;LABOFF
+ ;;U IO:("":"+S+I-T":$C(13,27))
+ ;;LOAD
+ ;;S %N=0 X "ZL @X F XCNP=XCNP+1:1 S %N=%N+1,%=$T(+%N) Q:$L(%)=0  S @(DIF_XCNP_"",0)"")=%"
+ ;;LPC
+ ;;S Y=$ZC(X)
+ ;;MAXSIZ
+ ;;S $ZS=X+X
+ ;;MGR
+ ;;%SYS
+ ;;MAGTAPE
+ ;;S %MT("BS")="*-1",%MT("FS")="*-2",%MT("WTM")="*-3",%MT("WB")="*-4",%MT("REW")="*-5",%MT("RB")="*-6",%MT("REL")="*-7",%MT("WHL")="*-8",%MT("WEL")="*-9"
+ ;;MTBOT
+ ;;S Y=$ZA\32#2
+ ;;MTONLINE
+ ;;S Y=$ZA\64#2
+ ;;MTWPROT
+ ;;S Y=$ZA\4#2
+ ;;MTERR;;MAGTAPE ERROR
+ ;;S Y=$ZA\32768#2
+ ;;NBRK
+ ;;U $I:("":"-B")
+ ;;NO-PASSALL
+ ;;U $I:("":"-I+T")
+ ;;NO-TYPE-AHEAD
+ ;;U $I:("":"+F":$C(13,27))
+ ;;PASSALL
+ ;;U $I:("":"+I-T")
+ ;;PRIINQ;; Priority in current queue
+ ;;N %PRIO D ^%PRIO S Y=$S('%PRIO:5,%PRIO>0:8,1:3)
+ ;;PRIORITY;;set priority to X (1=low, 10=high)
+ ;;D @($S(X>7:"NORMAL",X>3:"NORMAL",1:"LOW")_"^%PRIO") ;Don't do HIGH
+ ;;PROGMODE
+ ;;S Y=$ZJ#2
+ ;;PROD
+ ;;VAH
+ ;;RD
+ ;;D ^%RD
+ ;;RESJOB
+ ;;Q:'$D(DUZ)  Q:'$D(^XUSEC("XUMGR",+DUZ))  N XQZ S XQZ="^RESJOB[MGR]" D DO^%XUCI
+ ;;RM
+ ;;U $I:X
+ ;;RSEL;;ROUTINE SELECT
+ ;;K ^UTILITY($J) D KERNEL^%RSET K %ST ;Special entry point for VA
+ ;;RSUM
+ ;;ZL @X S Y=0 F %=1,3:1 S %1=$T(+%),%3=$F(%1," ") Q:'%3  S %3=$S($E(%1,%3)'=";":$L(%1),$E(%1,%3+1)=";":$L(%1),1:%3-2) F %2=1:1:%3 S Y=$A(%1,%2)*%2+Y
+ ;;SS
+ ;;D ^%SS
+ ;;SAVE
+ ;;S XCS="F XCM=1:1 S XCN=$O(@(DIE_XCN_"")"")) Q:+XCN'=XCN  S %=^(XCN,0) Q:$E(%,1)=""$""  I $E(%,1)'="";"" ZI %" X "ZR  X XCS ZS @X" S ^UTILITY("ROU",X)="" K XCS
+ ;;SIZE
+ ;;S Y=0 F I=1:1 S %=$T(+I) Q:%=""  S Y=Y+$L(%)+2
+ ;;TEST
+ ;;I X?1(1"%",1A).7AN,$D(^$ROUTINE(X))
+ ;;TMK;;MAGTAPE MARK
+ ;;S Y=$ZA\4#2
+ ;;TRAP;;S X="^%ET",@^%ZOSF("TRAP") TO SET ERROR TRAP
+ ;;$ZT=X
+ ;;TRMOFF
+ ;;U $I:("":"-I-T":$C(13,27))
+ ;;TRMON
+ ;;U $I:("":"+I+T")
+ ;;TRMRD
+ ;;S Y=$A($ZB),Y=$S(Y<32:Y,Y=127:Y,1:0)
+ ;;TYPE-AHEAD
+ ;;U $I:("":"-F":$C(13,27))
+ ;;UCI
+ ;;D UCI^%ZOSV
+ ;;UCICHECK
+ ;;S Y=$$UCICHECK^%ZOSV(X)
+ ;;UPPERCASE
+ ;;S Y=$TR(X,"abcdefghijklmnopqrstuvwxyz","ABCDEFGHIJKLMNOPQRSTUVWXYZ")
+ ;;XY
+ ;;S $X=DX,$Y=DY
+ ;;VOL;;VOLUME SET NAME
+ ;;ROU
+ ;;ZD
+ ;;S Y=$ZD(X)
Index: WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/ZOSVONT.m
===================================================================
--- WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/ZOSVONT.m	(revision 613)
+++ WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/ZOSVONT.m	(revision 623)
@@ -1,169 +1,164 @@
-%ZOSV	;SFISC/AC - $View commands for Open M for NT.  ;03/03/2008
-	;;8.0;KERNEL;**34,94,107,118,136,215,293,284,385,425,440**;Jul 10, 1995;Build 13
-	;Per VHA Directive 2004-038, this routine should not be modified
-ACTJ()	;# Active jobs
-	N %,V,Y S V=$$VERSION()
-	I V<5 D  Q Y
-	. S %=0 F Y=0:1 S %=$ZJOB(%) Q:%=""
-	S Y=$system.License.LUConsumed() ;Cache 5 up
-	Q Y
-AVJ()	;# available jobs
-	N %,AVJ,V,ZOSV,$ET
-	S V=+$$VERSION()
-	;Cache 3 and 4
-	;maxpid: from %SS
-	I V<5 D  Q AVJ
-	. N PORT,T,X,MAXPID,LMFLIM
-	. S $ET="",MAXPID=$V($ZU(40,2,118),-2,4)
-	. X "S ZOSV=$ZU(5),%=$ZU(5,""%SYS"") S LMFLIM=$$inquire^LMFCLI,%=$ZU(5,ZOSV)" ;Get the license info
-	. ;Add together the enterprise and division licenses avaliable
-	. S X=$P(LMFLIM,";",2)+$P($P(LMFLIM,"|",2),";",2)
-	. S T=+LMFLIM+$P(LMFLIM,"|",2) ;Check the license total
-	. S AVJ=$S(T<MAXPID:X,1:MAXPID-$$ACTJ) ;Return the smaller of license or pid
-	;To get available jobs from Cache 5.0 up
-	I V'<5 D  Q AVJ
-	. X "S AVJ=$system.License.LUAvailable()"
-	;Return fixed value not known version
-	Q 15
-	;
-PRIINQ()	;
-	Q 8
-	;
-UCI	;Current UCI,VOL
-	S Y=$ZU(5)_","_^%ZOSF("VOL") Q
-	;
-UCICHECK(X)	;Check if valid namespace (UCI)
-	N Y,%
-	S %=$P(X,",",1),Y=0 I $ZU(90,10,%) S Y=%
-	Q Y
-	;
-GETPEER()	;Get the PEER tcp/ip address
-	N PEER,NL,$ET S NL="",PEER="",$ET="S $EC=NL Q NL"
-	I $$OS="VMS" S PEER=$ZF("TRNLNM","VISTA$IP")
-	I '$L(PEER) S PEER=$ZU(111,0) S:$L(PEER) PEER=$A(PEER,1)_"."_$A(PEER,2)_"."_$A(PEER,3)_"."_$A(PEER,4)
-	Q PEER
-	;
-SHARELIC(TYPE)	;See if can share a C/S license
-	;Per Sandy Waal 10/18/2003: With Cache 5.0, your telnet and IP connections are now handled properly.
-	;N %,%N,%2,UID,%V,$ET S $ET="S $EC="""" Q",%V=$$VERSION()
-	;I %V'<5 Q
-	;Type is 1 for C/S and 0 for Telnet
-	;I %V<3.1 X:TYPE "S %N=$ZU(5),%2=$ZU(5,""%SYS""),%2=$$GetLic^LMFCLI,%N=$ZU(5,%N)" Q
-	;I %V<5 S:TYPE %=$$GetCSLic^%LICENSE S:'TYPE %=$$ShareLic^%LICENSE
-	;S $EC=""
-	Q
-	;
-JOBPAR	;See if X points to a valid Job. Return its UCI.
-	N NL,$ET S Y="",NL="",$ET="S $EC=NL Q"
-	I $D(^$JOB(X)) S Y=$V(-1,X),Y=$P(Y,"^",14)_","_^%ZOSF("VOL")
-	Q
-	;
-NOLOG	;4096 is switch 12 - sign on inhibited.
-	S Y="$V(0,-2,4)\4096#2" Q
-	;
-PROGMODE()	;Check if in PROG mode
-	Q $ZJOB#2
-	;
-PRGMODE	;
-	N X,XMB,XQZ,XUCI,XUSLNT,XUVOL,Y,ZTPAC
-	W ! S ZTPAC=$S('$D(^VA(200,+DUZ,.1)):"",1:$P(^(.1),U,5)),XUVOL=^%ZOSF("VOL")
-	S X="" X ^%ZOSF("EOFF") R:ZTPAC]"" !,"PAC: ",X:60 D LC^XUS X ^%ZOSF("EON") I X'=ZTPAC W "??"_$C(7) Q
-	S XMB="XUPROGMODE",XMB(1)=DUZ,XMB(2)=$I D ^XMB:$L($T(^XMB)) D BYE^XUSCLEAN K ZTPAC,X,XMB
-	D UCI S XUCI=Y,XQZ="PRGM^ZUA[MGR]",XUSLNT=1 D DO^%XUCI D ^%PMODE U $I:(:"+B+C+R") S $ZT="" Q
-	Q
-LGR()	;Last Global ref.
-	N $ET,NL S NL="",$ET="S $EC=NL Q NL"
-	Q $ZR
-	;
-EC()	;Error code
-	Q $ZE
-	;
-DOLRO	;SAVE ENTIRE SYMBOL TABLE IN LOCATION SPECIFIED BY X
-	;S Y="%" F  S Y=$O(@Y) Q:Y=""  D
-	;. I $D(@Y)#2 S @(X_"Y)="_Y)
-	;. I $D(@Y)>9 S %X=Y_"(",%Y=X_"Y," D %XY^%RCR
-	S Y="%" F  M:$D(@Y) @(X_"Y)="_Y) S Y=$O(@Y) Q:Y=""
-	Q
-	;
-ORDER	;SAVE PART OF SYMBOL TABLE IN LOCATION SPECIFIED BY X
-	N %
-	S (Y,%)=$P(Y,"*",1) ;I $D(@Y)=0 F  S Y=$O(@Y) Q:Y=""!(Y[Y1)
-	Q:Y=""
-	;S %=$D(@Y) S:%#2 @(X_"Y)="_Y) I %>9 S %X=Y_"(",%Y=X_"Y," D %XY^%RCR
-	;F  S Y=$O(@Y) Q:Y=""!(Y'[Y1)  S %=$D(@Y) S:%#2 @(X_"Y)="_Y) I %>9 S %X=Y_"(",%Y=X_"Y," D %XY^%RCR
-	F  M:$D(@Y) @(X_"Y)="_Y) S Y=$O(@Y) Q:Y=""!(Y'[%)
-	Q
-	;
-PARSIZ	;Old and not used.
-	S X=3
-	Q
-	;
-DEVOPN	;List of Devices opened, Not used
-	;Returns variable Y. Y=Devices owned separated by a comma
-	Q
-	;
-DEVOK	;
-	S Y=0,X1=$G(X1) Q:X=2  Q:(X1="HFS")!(X1="SPL")!(X1="MT")!(X1="CHAN")  ;Quit w/ OK for HFS, Spool, MT, TCP/IP
-	G:X1="RES" RESOK^%ZIS6
-	N $ET S $ET="D OPNERR Q"
-	O X::$S($D(%ZISTO):%ZISTO,1:0) E  S Y=999 Q  ;G NOPN
-	S Y=0 I '$D(%ZISCHK)!($G(%ZIS)["T") C X Q
-	S:X]"" IO(1,X)="" Q
-	Q
-	;
-OPNERR	S $EC="",Y=-1 Q
-	;
-GETENV	;Get environment  (UCI^VOL^NODE^BOX:VOLUME)
-	N %,%1 S %=$$VERSION,%1=$ZU(86),%1=$S(%<3.1:$P(%1,"*",3),1:$P(%1,"*",2))
-	D UCI S Y=$P(Y,",")_"^"_^%ZOSF("VOL")_"^"_$ZU(110)_"^"_^%ZOSF("VOL")_":"_%1
-	Q
-VERSION(X)	;return Cache version, X=1 - return full name
-	Q $S($G(X):$P($ZV,")")_")",1:$P($P($ZV,") ",2),"("))
-	;
-OS()	;Return the OS NT, VMS, Unix
-	Q $S($ZV["VMS":"VMS",$ZV["UNIX":"UNIX",$ZV["Linux":"UNIX",$ZV["Windows":"NT",$ZV["NT":"NT",1:"UNK")
-	;
-SETNM(X)	;Set name, Fall into SETENV
-SETENV	;Set environment
-	N Q,$ET,$ES S $ET="S $EC="""" Q"
-	I $$OS="VMS" S Q=$ZF("SETPRN",$E(X,1,15))
-	Q
-	;
-SID()	;System ID Ver 1
-	N %1,%2,%3,%4,%5,T S T="~"
-	S %1=$ZU(5) ;namespace
-	S %2=$ZU(12,"") ;directory
-	I '$L(%2),$$VERSION'<5.2 S %2=$$defdir^%SYS.GLO(%1) ;remote directory
-	S %3=$G(^XTV(8989.3,1,"SID")),%4=$P(%3,"^",4),%5=$P(%3,"^",5)
-	I $L(%4),$L(%5),%2[%4 S %2=$P(%2,%4)_%5_$P(%2,%4,2,9)
-	S %3=%1_T_%2 ;namespace~directory
-	Q "1~"_%3
-	;
-PRI()	;Check if a mixed OS enviroment.
-	;Default return 1 unless we are on the secondary OS.
-	;Only Cache on a VMS(1)/Linux or NT(2) mix is supported now.
-	N % S %=1
-	I $P(^XTV(8989.3,1,0),"^",5),$$OS'="VMS" S %=2
-	Q %
-	;
-HFSREW(IO,IOPAR)	;Rewind Host File.
-	S $ZT="HFSRWERR"
-	C IO O @(""""_IO_""""_$S(IOPAR]"":":"_IOPAR_":1",1:":1")) I '$T Q 0
-	Q 1
-HFSRWERR	;Error encountered
-	Q 0
-LOGRSRC(OPT,TYPE,STATUS)	;record resource usage in ^XTMP("KMPR"
-	Q:'$G(^%ZTSCH("LOGRSRC"))  ; quit if RUM not turned on.
-	; call to RUM routine.
-	D RU^%ZOSVKR($G(OPT),$G(TYPE),$G(STATUS))
-	Q
-SETTRM(X)	;Turn on specified terminators.
-	U $I:(:"+T":X)
-	Q 1
-	;
-T0	; start RT clock, obsolete
-	;S XRT0=$H
-	Q
-T1	; store RT datum, obsolete
-	;S ^%ZRTL(3,XRTL,+$H,XRTN,$P($H,",",2))=XRT0 K XRT0
-	Q
+%ZOSV ;SFISC/AC - $View commands for Open M for NT.  ;4/26/07  09:39
+ ;;8.0;KERNEL;**34,94,107,118,136,215,293,284,385,425**;Jul 10, 1995;Build 18
+ACTJ() ;# Active jobs
+ N %,V,Y S V=$$VERSION()
+ I V<5 D  Q Y
+ . S %=0 F Y=0:1 S %=$ZJOB(%) Q:%=""
+ S Y=$system.License.LUConsumed() ;Cache 5 up
+ Q Y
+AVJ() ;# available jobs
+ N %,AVJ,V,ZOSV,$ET
+ S V=+$$VERSION()
+ ;Cache 3 and 4
+ ;maxpid: from %SS
+ I V<5 D  Q AVJ
+ . N port,t,x,maxpid,lmflim
+ . S $ET="",maxpid=$V($ZU(40,2,118),-2,4)
+ . X "S ZOSV=$ZU(5),%=$ZU(5,""%SYS"") S lmflim=$$inquire^LMFCLI,%=$ZU(5,ZOSV)" ;Get the license info
+ . ;Add together the enterprise and division licenses avaliable
+ . S x=$P(lmflim,";",2)+$P($P(lmflim,"|",2),";",2)
+ . S t=+lmflim+$P(lmflim,"|",2) ;Check the license total
+ . S AVJ=$S(t<maxpid:x,1:maxpid-$$ACTJ) ;Return the smaller of license or pid
+ ;To get available jobs from Cache 5.0 up
+ I V'<5 D  Q AVJ
+ . X "S AVJ=$system.License.LUAvailable()"
+ ;Return fixed value not known version
+ Q 15
+ ;
+PRIINQ() ;
+ Q 8
+ ;
+UCI ;Current UCI,VOL
+ S Y=$ZU(5)_","_^%ZOSF("VOL") Q
+ ;
+UCICHECK(X) ;Check if valid namespace (UCI)
+ N Y,%
+ S %=$P(X,",",1),Y=0 I $ZU(90,10,%) S Y=%
+ Q Y
+ ;
+GETPEER() ;Get the PEER tcp/ip address
+ N PEER,NL,$ET S NL="",$ET="S $EC=NL Q NL",PEER=""
+ I $$OS="VMS" S PEER=$ZF("TRNLNM","VISTA$IP")
+ I '$L(PEER) S PEER=$ZU(111,0) S:$L(PEER) PEER=$A(PEER,1)_"."_$A(PEER,2)_"."_$A(PEER,3)_"."_$A(PEER,4)
+ Q PEER
+ ;
+SHARELIC(TYPE) ;See if can share a C/S license
+ ;Type is 1 for C/S and 0 for Telnet
+ N %,%N,%2,UID,%V,$ET S $ET="S $EC="""" Q",%V=$$VERSION()
+ I %V<3.1 X:TYPE "S %N=$ZU(5),%2=$ZU(5,""%SYS""),%2=$$GetLic^LMFCLI,%N=$ZU(5,%N)" Q
+ I %V<5 S:TYPE %=$$GetCSLic^%LICENSE S:'TYPE %=$$ShareLic^%LICENSE
+ ;Per Sandy Waal 10/18/2003: With Cache' 5.0, your telnet and IP connections are now handled properly.
+ I %V'<5 S %V=%V
+ S $EC=""
+ Q
+JOBPAR ;See if X points to a valid Job. Return its UCI.
+ N ZJ S Y="",$ZT="JOBX"
+ Q:'$D(^$JOB(X))  S Y=$V(-1,X),Y=$P(Y,"^",14)_","_^%ZOSF("VOL")
+JOBX Q
+ ;
+NOLOG ;4096 is switch 12 - sign on inhibited.
+ S Y="$V(0,-2,4)\4096#2" Q
+ ;
+PROGMODE() ;Check if in PROG mode
+ Q $ZJ#2
+ ;
+PRGMODE ;
+ N X,XMB,XQZ,XUCI,XUSLNT,XUVOL,Y,ZTPAC
+ W ! S ZTPAC=$S('$D(^VA(200,+DUZ,.1)):"",1:$P(^(.1),U,5)),XUVOL=^%ZOSF("VOL")
+ S X="" X ^%ZOSF("EOFF") R:ZTPAC]"" !,"PAC: ",X:60 D LC^XUS X ^%ZOSF("EON") I X'=ZTPAC W "??"_$C(7) Q
+ S XMB="XUPROGMODE",XMB(1)=DUZ,XMB(2)=$I D ^XMB:$L($T(^XMB)) D BYE^XUSCLEAN K ZTPAC,X,XMB
+ D UCI S XUCI=Y,XQZ="PRGM^ZUA[MGR]",XUSLNT=1 D DO^%XUCI D ^%PMODE U $I:(:"+B+C+R") S $ZT="" Q
+ Q
+LGR() S $ZT="LGRX^%ZOSV"
+ Q $ZR ;Last Global ref.
+LGRX Q ""
+ ;
+EC() Q $ZE ;Error code
+ ;
+DOLRO ;SAVE ENTIRE SYMBOL TABLE IN LOCATION SPECIFIED BY X
+ ;S Y="%" F  S Y=$O(@Y) Q:Y=""  D
+ ;. I $D(@Y)#2 S @(X_"Y)="_Y)
+ ;. I $D(@Y)>9 S %X=Y_"(",%Y=X_"Y," D %XY^%RCR
+ S Y="%" F  M:$D(@Y) @(X_"Y)="_Y) S Y=$O(@Y) Q:Y=""
+ Q
+ ;
+ORDER ;SAVE PART OF SYMBOL TABLE IN LOCATION SPECIFIED BY X
+ N %
+ S (Y,%)=$P(Y,"*",1) ;I $D(@Y)=0 F  S Y=$O(@Y) Q:Y=""!(Y[Y1)
+ Q:Y=""
+ ;S %=$D(@Y) S:%#2 @(X_"Y)="_Y) I %>9 S %X=Y_"(",%Y=X_"Y," D %XY^%RCR
+ ;F  S Y=$O(@Y) Q:Y=""!(Y'[Y1)  S %=$D(@Y) S:%#2 @(X_"Y)="_Y) I %>9 S %X=Y_"(",%Y=X_"Y," D %XY^%RCR
+ F  M:$D(@Y) @(X_"Y)="_Y) S Y=$O(@Y) Q:Y=""!(Y'[%)
+ Q
+ ;
+PARSIZ ;
+ S X=3
+ Q
+ ;
+DEVOPN ;List of Devices opened
+ ;Returns variable Y. Y=Devices owned separated by a comma
+ Q
+DEVOK ;
+ S Y=0,X1=$G(X1) Q:X=2  Q:(X1="HFS")!(X1="SPL")!(X1="MT")!(X1="CHAN")  ;Quit w/ OK for HFS, Spool, MT, TCP/IP
+ G:X1="RES" RESOK^%ZIS6
+ N $ET S $ET="D OPNERR Q"
+ O X::$S($D(%ZISTO):%ZISTO,1:0) E  S Y=999 Q  ;G NOPN
+ S Y=0 I '$D(%ZISCHK)!($G(%ZIS)["T") C X Q
+ S:X]"" IO(1,X)="" Q
+ Q
+ ;
+OPNERR S $EC="",Y=-1 Q
+ ;
+GETENV ;Get environment  (UCI^VOL^NODE^BOX:VOLUME)
+ N %,%1 S %=$$VERSION,%1=$ZU(86),%1=$S(%<3.1:$P(%1,"*",3),1:$P(%1,"*",2))
+ D UCI S Y=$P(Y,",")_"^"_^%ZOSF("VOL")_"^"_$ZU(110)_"^"_^%ZOSF("VOL")_":"_%1
+ Q
+VERSION(X) ;return Cache version, X=1 - return full name
+ Q $S($G(X):$P($ZV,")")_")",1:$P($P($ZV,") ",2),"("))
+ ;
+OS() ;Return the OS NT, VMS, Unix
+ Q $S($ZV["VMS":"VMS",$ZV["Windows":"NT",$ZV["NT":"NT",$ZV["UNIX":"UNIX",1:"UNK")
+ ;
+SETNM(X) ;Set name, Fall into SETENV
+SETENV ;Set environment
+ N Q,$ET,$ES S $ET="S $EC="""" Q"
+ I $$OS="VMS" S Q=$ZF("SETPRN",$E(X,1,15))
+ Q
+ ;
+SID() ;System ID Ver 1
+ N %1,%2,%3,T S T="~"
+ S %1=$ZU(5) ;namespace
+ S %2=$ZU(12,"") ;directory
+ I '$L(%2),$$VERSION'<5.2 S %2=$$defdir^%SYS.GLO(%1) ;remote directory
+ S %3=%1_T_%2 ;namespace~directory
+ Q "1~"_%3
+ ;
+PRI() ;Check if a mixed OS enviroment.
+ ;Default return 1 unless we are on the secondary OS.
+ ;Only Cache on a VMS(1)/Linux(2) mix is supported now.
+ N % S %=1
+ I $P(^XTV(8989.3,1,0),"^",5),$$OS'="VMS" S %=2
+ ;I $P(^XTV(8989.3,1,0),"^",5),$$OS["NT" S %=2
+ Q %
+ ;
+HFSREW(IO,IOPAR) ;Rewind Host File.
+ S $ZT="HFSRWERR"
+ C IO O @(""""_IO_""""_$S(IOPAR]"":":"_IOPAR_":1",1:":1")) I '$T Q 0
+ Q 1
+HFSRWERR ;Error encountered
+ Q 0
+LOGRSRC(OPT,TYPE,STATUS) ;record resource usage in ^XTMP("KMPR"
+ Q:'$G(^%ZTSCH("LOGRSRC"))  ; quit if RUM not turned on.
+ ; call to RUM routine.
+ D RU^%ZOSVKR($G(OPT),$G(TYPE),$G(STATUS))
+ Q
+SETTRM(X) ;Turn on specified terminators.
+ U $I:(:"+T":X)
+ Q 1
+ ;
+T0 ; start RT clock
+ ;S XRT0=$H
+ Q
+T1 ; store RT datum, obsolete
+ ;S ^%ZRTL(3,XRTL,+$H,XRTN,$P($H,",",2))=XRT0 K XRT0
+ Q
Index: WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/ZTLOAD4.m
===================================================================
--- WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/ZTLOAD4.m	(revision 613)
+++ WorldVistAEHR/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/ZTLOAD4.m	(revision 623)
@@ -1,60 +1,57 @@
-%ZTLOAD4	;SEA/RDS-TaskMan: P I: Is Queued? ;1/24/08  16:15
-	;;8.0;KERNEL;**440**;JUL 10, 1995;Build 13
-	;Per VHA Directive 2004-038, this routine should not be modified
-	;Call with ZTSK, [ZTCPU]; Return ZTSK()
-INPUT	;check input parameters for error conditions
-	N %,$ES,$ET,%ZTVOL,ZTREC,ZTD,ZT1,ZT2,ZT3
-	I $D(ZTSK)[0 S ZTSK=""
-	I $D(ZTSK)>1 S %=ZTSK K ZTSK S ZTSK=%
-	I ZTSK<1!(ZTSK\1'=ZTSK) S ZTSK="",ZTSK(0)="",ZTSK("E")="IT" G QUIT
-	S ZTSK(0)="",ZTSK("E")="U",$ET="Q:$ES  S $EC="""" G QUIT^%ZTLOAD4"
-	S %ZTVOL=^%ZOSF("VOL")
-	I $D(ZTCPU)[0 S ZTCPU=%ZTVOL
-	I ZTCPU="" S ZTCPU=%ZTVOL
-	I ZTCPU'=%ZTVOL G THERE
-	;
-HERE	;lookup task's status on current volume set
-	L +^%ZTSK(ZTSK):1
-	I $D(^%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
-	S ZTREC=^%ZTSK(ZTSK,0),ZTD=$G(^(.04))
-	S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=$P(ZTREC,U,6) ;scheduled $H
-	I ZTD]"",$D(^%ZTSCH(ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	I ZTD]"",$D(^%ZTSCH("JOB",ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	;
-	S ZT1="" F  S ZT1=$O(^%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="IO",ZT2="" F  S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="JOB",ZT2="" F  S ZT2=$O(^%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="LINK",ZT2="" F  S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZTSK(0)=0
-	;
-QUIT	;cleanup and quit
-	L:ZTSK -^%ZTSK(ZTSK) ;K %ZTCPU,%ZTM,%ZTM1,%ZTM2,%ZTMAST,%ZTVOL,X,Y,ZT,ZT1,ZT2,ZT3,ZTCPU,ZTD,ZTREC
-	I ZTSK(0)]"" K ZTSK("E") Q
-	I ZTSK("E")'="U" Q
-	S ZTSK("E",0)=$$EC^%ZOSV
-	Q
-	;
-THERE	;rest of code looks up task's status on some other volume set
-	N %ZTCPU,%ZTM,X,Y
-	;
-FILES	;find TaskMan files on the volume set to be searched
-	S %ZTCPU=$O(^%ZIS(14.5,"B",ZTCPU,""))
-	I %ZTCPU="" S ZTSK("E")="IS" G QUIT
-	S %ZTM=$P(^%ZOSF("MGR"),",")
-	S %ZTM=$S($D(^%ZIS(14.5,%ZTCPU,0))[0:%ZTM,$P(^(0),U,6)="":%ZTM,1:$P(^(0),U,6))
-	S X=%ZTM,Y=ZTCPU
-	S ZTSK("E")="LS",ZT=$D(^[X,Y]%ZTSK(0)),ZTSK("E")="U" ; check link
-	;
-SEARCH	;find out if task is queued on that volume set
-	I $D(^[X,Y]%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
-	S ZTREC=^[X,Y]%ZTSK(ZTSK,0),ZTD=$G(^(.04))
-	S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=$P(ZTREC,U,6)
-	I ZTD]"",$D(^[X,Y]%ZTSCH(ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	I ZTD]"",$D(^[X,Y]%ZTSCH("JOB",ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	;
-	S ZT1="" F  S ZT1=$O(^[X,Y]%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="IO",ZT2="" F  S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="JOB",ZT2="" F  S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZT1="LINK",ZT2="" F  S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F  S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
-	S ZTSK(0)=0 G QUIT
-	;
+%ZTLOAD4 ;SEA/RDS-TaskMan: P I: Is Queued? ;7/26/91  11:55 ;
+ ;;8.0;KERNEL;;JUL 10, 1995
+ ;;7.0;
+ ;
+INPUT ;check input parameters for error conditions
+ I $D(ZTSK)[0 S ZTSK=""
+ I $D(ZTSK)>1 S ZTLOAD=ZTSK K ZTSK S ZTSK=ZTLOAD K ZTLOAD
+ I ZTSK<1!(ZTSK\1'=ZTSK) S ZTSK="",ZTSK(0)="",ZTSK("E")="IT" G QUIT
+ S ZTSK(0)="",ZTSK("E")="U",X="QUIT^%ZTLOAD3",@^%ZOSF("TRAP")
+ S %ZTVOL=^%ZOSF("VOL")
+ I $D(ZTCPU)[0 S ZTCPU=%ZTVOL
+ I ZTCPU="" S ZTCPU=%ZTVOL
+ I ZTCPU'=%ZTVOL G THERE
+ ;
+HERE ;lookup task's status on current volume set
+ L +^%ZTSK(ZTSK) I $D(^%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
+ S ZTREC=^%ZTSK(ZTSK,0),ZTD=$P(ZTREC,U,6)
+ S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=ZTD
+ I ZTD]"",$D(^%ZTSCH(ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ I ZTD]"",$D(^%ZTSCH("JOB",ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ ;
+ S ZT1="" F ZT=0:0 S ZT1=$O(^%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="IO",ZT2="" F ZT=0:0 S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="JOB",ZT2="" F ZT=0:0 S ZT2=$O(^%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="LINK",ZT2="" F ZT=0:0 S ZT2=$O(^%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZTSK(0)=0
+ ;
+QUIT ;cleanup and quit
+ L:ZTSK -^%ZTSK(ZTSK) K %ZTCPU,%ZTM,%ZTM1,%ZTM2,%ZTMAST,%ZTVOL,X,Y,ZT,ZT1,ZT2,ZT3,ZTCPU,ZTD,ZTREC
+ I ZTSK(0)]"" K ZTSK("E") Q
+ I ZTSK("E")'="U" Q
+ S ZTSK("E",0)=$$EC^%ZOSV
+ Q
+ ;
+THERE ;rest of code looks up task's status on some other volume set
+ ;
+FILES ;find TaskMan files on the volume set to be searched
+ S %ZTCPU=$O(^%ZIS(14.5,"B",ZTCPU,""))
+ I %ZTCPU="" S ZTSK("E")="IS" G QUIT
+ S %ZTM=$P(^%ZOSF("MGR"),",")
+ S %ZTM=$S($D(^%ZIS(14.5,%ZTCPU,0))[0:%ZTM,$P(^(0),U,6)="":%ZTM,1:$P(^(0),U,6))
+ S X=%ZTM,Y=ZTCPU
+ S ZTSK("E")="LS",ZT=$D(^[X,Y]%ZTSK(0)),ZTSK("E")="U" ; check link
+ ;
+SEARCH ;find out if task is queued on that volume set
+ I $D(^[X,Y]%ZTSK(ZTSK,0))[0 S ZTSK("E")="I" G QUIT
+ S ZTREC=^[X,Y]%ZTSK(ZTSK,0),ZTD=$P(ZTREC,U,6)
+ S ZTSK("DUZ")=$P(ZTREC,U,3),ZTSK("D")=ZTD
+ I ZTD]"",$D(^[X,Y]%ZTSCH(ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ I ZTD]"",$D(^[X,Y]%ZTSCH("JOB",ZTD,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ ;
+ S ZT1="" F ZT=0:0 S ZT1=$O(^[X,Y]%ZTSCH(ZT1)) Q:'ZT1  I $D(^(ZT1,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="IO",ZT2="" F ZT=0:0 S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="JOB",ZT2="" F ZT=0:0 S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)) Q:ZT2=""  I $D(^(ZT2,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZT1="LINK",ZT2="" F ZT=0:0 S ZT2=$O(^[X,Y]%ZTSCH(ZT1,ZT2)),ZT3="" Q:ZT2=""  F ZT=0:0 S ZT3=$O(^[X,Y]%ZTSCH(ZT1,ZT2,ZT3)) Q:ZT3=""  I $D(^(ZT3,ZTSK))#2 S ZTSK(0)=1 G QUIT
+ S ZTSK(0)=0 G QUIT
+ ;
